export const CREATE_NEW_ASSIGNMENT_START = 'CREATE_NEW_ASSIGNMENT_START';
export const CREATE_NEW_ASSIGNMENT_SUCCESS = 'CREATE_NEW_ASSIGNMENT_SUCCESS';
export const CREATE_NEW_ASSIGNMENT_FAIL = 'CREATE_NEW_ASSIGNMENT_FAIL';

export const GET_ALL_ASSIGNMENTS_START = 'GET_ALL_ASSIGNMENTS_START';
export const GET_ALL_ASSIGNMENTS_SUCCESS = 'GET_ALL_ASSIGNMENTS_SUCCESS';
export const GET_ALL_ASSIGNMENTS_FAIL = 'GET_ALL_ASSIGNMENTS_FAIL';

export const CLEAR_ASSIGNMENTS = 'CLEAR_ASSIGNMENTS';

export const DELETE_ASSIGNMENT_START = 'DELETE_ASSIGNMENT_START';
export const DELETE_ASSIGNMENT_SUCCESS = 'DELETE_ASSIGNMENT_SUCCESS';
export const DELETE_ASSIGNMENT_FAIL = 'DELETE_ASSIGNMENT_FAIL';

export const UPDATE_ASSIGNMENT_START = 'UPDATE_ASSIGNMENT_START';
export const UPDATE_ASSIGNMENT_SUCCESS = 'UPDATE_ASSIGNMENT_SUCCESS';
export const UPDATE_ASSIGNMENT_FAIL = 'UPDATE_ASSIGNMENT_FAIL';

export const GET_ASSIGNMENTS_AMOUNT_START = 'GET_ASSIGNMENTS_AMOUNT_START';
export const GET_ASSIGNMENTS_AMOUNT_SUCCESS = 'GET_ASSIGNMENTS_AMOUNT_SUCCESS';
export const GET_ASSIGNMENTS_AMOUNT_FAIL = 'GET_ASSIGNMENTS_AMOUNT_FAIL';

export const CLEAR_SUBMISSIONS = 'CLEAR_SUBMISSIONS';

export const GET_ALL_SUBMISSIONS_START = 'GET_ALL_SUBMISSIONS_START';
export const GET_ALL_SUBMISSIONS_SUCCESS = 'GET_ALL_SUBMISSIONS_SUCCESS';
export const GET_ALL_SUBMISSIONS_FAIL = 'GET_ALL_SUBMISSIONS_FAIL';

export const ARCHIVE_ASSIGNMENT_START = 'ARCHIVE_ASSIGNMENT_START';
export const ARCHIVE_ASSIGNMENT_SUCCESS = 'ARCHIVE_ASSIGNMENT_SUCCESS';
export const ARCHIVE_ASSIGNMENT_FAIL = 'ARCHIVE_ASSIGNMENT_FAIL';

export const RESTORE_ASSIGNMENT_START = 'RESTORE_ASSIGNMENT_START';
export const RESTORE_ASSIGNMENT_SUCCESS = 'RESTORE_ASSIGNMENT_SUCCESS';
export const RESTORE_ASSIGNMENT_FAIL = 'RESTORE_ASSIGNMENT_FAIL';

export const SET_REVIEW_START = 'SET_REVIEW_START';
export const SET_REVIEW_SUCCESS = 'SET_REVIEW_SUCCESS';
export const SET_REVIEW_FAIL = 'SET_REVIEW_FAIL';

export const GET_WORKSPACE_INFO_START = 'GET_WORKSPACE_INFO_START';
export const GET_WORKSPACE_INFO_SUCCESS = 'GET_WORKSPACE_INFO_SUCCESS';
export const GET_WORKSPACE_INFO_FAIL = 'GET_WORKSPACE_INFO_FAIL';

export const CHANGE_ASSIGNMENT_STATUS_START = 'CHANGE_ASSIGNMENT_STATUS_START';
export const CHANGE_ASSIGNMENT_STATUS_SUCCESS = 'CHANGE_ASSIGNMENT_STATUS_SUCCESS';
export const CHANGE_ASSIGNMENT_STATUS_FAIL = 'CHANGE_ASSIGNMENT_STATUS_FAIL';

export const UPDATE_SUBMISSION_START = 'UPDATE_SUBMISSION_START';
export const UPDATE_SUBMISSION_LOCAL = 'UPDATE_SUBMISSION_LOCAL';
export const UPDATE_SUBMISSION_SUCCESS = 'UPDATE_SUBMISSION_SUCCESS';
export const UPDATE_SUBMISSION_FAIL = 'UPDATE_SUBMISSION_FAIL';

